Rysunek roboczy: Przesuń

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Move and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Draft Move.svg Draft: Move

Lokalizacja w menu
Modyfikacja → Przesuń
Środowisko pracy
Rysunek roboczy, Architektura
Domyślny skrót
M V
Wprowadzono w wersji
0.7
Zobacz także
Podświetl element podrzędny

Opis

Polecenie Draft Move.svg Draft: Przesuń - przesuwa lub kopiuje wybrane obiekty z jednego punktu do drugiego. W trybie elementu podrzędnego polecenie przesuwa wybrane punkty i krawędzie, lub kopiuje wybrane krawędzie Linii i Polilinii.

Narzędzie Przesuń może być używane na obiektach 2D utworzonych za pomocą środowisk pracy Rysunek Roboczy lub Szkicownik, ale może być również używane dla wielu typów obiektów 3D, takich jak te utworzone za pomocą środowisk pracy Część, Projekt Części lub Architektura.

Draft Move example.jpg

Przemieszczanie obiektu z jednego punktu do innego

Użycie

Zobacz także strony: Rysunek Roboczy: Przyciąganie i Rysunek Roboczy: Wiązania.

  1. Opcjonalnie wybierz jeden lub więcej obiektów, albo jeden lub więcej elementów podrzędnych typu linia lub polilinia.
  2. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Draft Move.svg Przesuń.
    • Wybierz z menu opcję Modyfikacja → Draft Move.svg Przesuń.
    • Użyj skrótu klawiaturowego: M, a następnie V.
  3. Jeśli nie zaznaczyłeś jeszcze żadnego obiektu: wybierz obiekt w oknie widoku 3D.
  4. Otworzy się panel zadań Przesuń. Zobacz Opcje, aby uzyskać więcej informacji.
  5. Jeśli zostały wybrane elementy podrzędne: zaznacz pole wyboru Modyfikuj elementy podrzędne, aby włączyć tryb elementów podrzędnych.
  6. Wybierz pierwszy punkt, punkt bazowy, w oknie widoku widoku 3D lub wpisz współrzędne i naciśnij przycisk Draft AddPoint.svg Wprowadź punkt.
  7. Wybierz drugi punkt, punkt docelowy, w oknie widoku 3D lub wpisz współrzędne i naciśnij przycisk Draft AddPoint.svg. Wprowadź punkt.

Opcje

Wspomniane tutaj skróty klawiaturowe mogą być zmienione. Zobacz stronę Rysunek Roboczy: Preferencje.

  • Aby ręcznie wprowadzić współrzędne, wprowadź składowe X, Y i Z, i naciśnij klawisz Enter po każdej z nich. Możesz też nacisnąć przycisk Draft AddPoint.svg Wprowadź punkt, gdy masz już żądane wartości. Wskazane jest, aby przed wprowadzeniem współrzędnych wysunąć kursor poza okno widoku 3D.
  • Aby użyć współrzędnych biegunowych, wprowadź wartość dla Długość i wartość w polu Kąt, a następnie naciśnij klawisz Enter po każdym z nich.
  • Zaznacz pole wyboru Kąt, aby ograniczyć kursor do określonego kąta.
  • Naciśnij H, aby zmienić aktywność z pola wprowadzania X na pole wprowadzania Długość i z powrotem. W zależności od pola wejściowego, które jest aktywne, pole wyboru Kąt jest zaznaczane lub odznaczane.
  • Naciśnij klawisz R lub kliknij pole wyboru Względnie, aby przełączyć tryb względny. Jeśli tryb względny jest włączony, współrzędne drugiego punktu są zależne od pierwszego punktu, w przeciwnym razie są odniesione do początku układu współrzędnych.
  • Naciśnij klawisz G lub kliknij pole wyboru Globalnie, aby przełączyć tryb globalny. Jeśli tryb globalny jest włączony, współrzędne są odniesione do globalnego układu współrzędnych, w przeciwnym razie są one odniesione do układu współrzędnych płaszczyzny roboczej. dostępne w wersji 0.20
  • Naciśnij klawisz T lub kliknij pole wyboru Kontynuuj, aby przełączyć tryb kontynuacji. Jeśli tryb kontynuacji jest włączony, polecenie zostanie uruchomione ponownie po zakończeniu. Ten tryb naprawdę ma sens tylko wtedy, gdy włączony jest tryb kopiowania. W zależności od preferencji Zaznacz obiekty bazowe po skopiowaniu, albo oryginalne obiekty są wybierane do następnego wywołania polecenia, albo kopie, które zostały utworzone jako ostatnie. Zobacz Preferencje.
  • Naciśnij klawisz P lub kliknij pole wyboru Kopiuj, aby przełączyć tryb kopiowania. Jeśli tryb kopiowania jest włączony, polecenie utworzy przeniesione kopie zamiast przenoszenia oryginalnych obiektów.
  • Naciśnij przycisk D lub kliknij pole wyboru Modifikuj elementy podrzędne, aby przełączyć tryb elementów podrzędnych. Jeśli tryb elementów podrzędnych jest włączony, polecenie będzie używać wybranych elementów podrzędnych zamiast całych obiektów. Elementy podrzędne muszą należeć do Linii lub Polilinii.
  • Jeśli tryb kopiowania i tryb elementów podrzędnych są włączone, a krawędzie Polilinii są zaznaczone, nowe linie zostaną utworzone z tych krawędzi.
  • Przytrzymanie klawisza Alt po wybraniu punktu bazowego spowoduje również przełączenie trybu kopiowania. Gdy trzymasz klawisz Alt wciśnięty, możesz wybrać wiele punktów docelowych. Puść klawisz Alt, aby zakończyć polecenie i zobaczyć utworzone kopie. Ta opcja nie działa w FreeCAD w wersji 0.19.
  • Naciśnij S, aby włączyć lub wyłączyć przyciąganie.
  • Naciśnij klawisz Esc lub przycisk Zamknij, aby przerwać wykonywanie polecenia.

Uwagi

  • Obiekt, który jest umocowany nie może być przeniesiony za pomocą polecenia Przesuń. Aby go przesunąć, należy przesunąć jego obiekt DANEpodparcia lub zmienić jego DANEprzesunięcie umocowania.

Ustawienia

Zobacz także strony: Edytor ustawień oraz Rysunek Roboczy: Preferencje.

  • Aby zmienić liczbę miejsc po przecinku używanych do wprowadzania współrzędnych, długości i kątów: Edycja → Preferencje → Ogólne → Jednostki → Ustawienia jednostek → Liczba cyfr po przecinku.
  • Aby zmienić początkową pozycję z panelu zadań na pole wprowadzania Długość: Edycja → Preferencje... → Rysunek Roboczy → Ustawienia ogólne → Opcje narzędzi do kreślenia → Ustaw fokus na Długość zamiast Współrzędnej X. Należy pamiętać, że aby zmiana zaczęła obowiązywać, należy przesunąć kursor w oknie widoku 3D.
  • Aby zachować i ponownie wykorzystać to samo ustawienie trybu kopiowania w różnych poleceniach: Edycja → Preferencje → Rysunek Roboczy → Ustawienia ogólne → Opcje narzędzi do kreślenia → Tryb kopiowania globalny.
  • Aby ponownie wybrać obiekty bazowe po skopiowaniu obiektów: Edycja → Preferencje → Rysunek Roboczy → Ustawienia ogólne → Opcje narzędzi do kreślenia → Zaznacz obiekty bazowe po skopiowaniu.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy tworzenia skryptów FreeCAD.

Do przesuwania obiektów służy metoda move środowiska Rysunek Roboczy.

moved_list = move(objectslist, vector, copy=False)
  • objectslist zawiera obiekty, które mają zostać przeniesione. Może to być pojedynczy obiekt lub lista obiektów.
  • vector wskazuje przemieszczenie.
  • Jeśli copy ma wartość True, to zamiast przesuwania oryginalnych obiektów tworzone są ich kopie.
  • Lista moved_list jest zwracana z oryginalnymi przeniesionymi obiektami lub z nowymi kopiami. Jest to albo pojedynczy obiekt, albo lista obiektów, w zależności od objectslist.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon1 = Draft.make_polygon(5, radius=1000)
polygon2 = Draft.make_polygon(3, radius=500)
polygon3 = Draft.make_polygon(6, radius=220)

Draft.move(polygon1, App.Vector(500, 500, 0))
Draft.move(polygon1, App.Vector(500, 500, 0))
Draft.move(polygon2, App.Vector(1000, -1000, 0))
Draft.move(polygon3, App.Vector(-500, -500, 0))

list1 = [polygon1, polygon2, polygon3]

vector = App.Vector(-2000, -2000, 0)
list2 = Draft.move(list1, vector, copy=True)
list3 = Draft.move(list1, -2*vector, copy=True)

doc.recompute()